Get List of Promotions
curl --request GET \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-price/promo \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-price/promo"
headers = {"x-site-context": "<x-site-context>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-price/promo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": {
"limit": 10,
"offset": 0,
"count": 66
},
"promos": [
{
"_id": "abcdefg1ee7ce20123456789",
"promoId": 100013,
"promoCodes": [],
"promoCount": 0,
"state": "SCHEDULED",
"isImplicit": true,
"title": "CREATE PROMO",
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-25T14:15:22Z",
"isExclusive": true,
"eligiblePriceList": [
10000056
],
"updatedAt": "2019-08-20T14:15:22Z"
}
]
}{
"code": 400,
"message": "SKU cannot be empty"
}{
"code": 500,
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Promotions
Get List of Promotions
Enables you to retrieve all the active promotions, in a paginated response.
GET
/
api-price
/
promo
Get List of Promotions
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Query Parameters
Number of records you wish to skip before selecting records. Default is 0 if not specified
limits the number of records returned by the api. Default is 10 if limit is not specified
Retrive records by SKU name
Was this page helpful?
